<script lang="ts">
  import { Card, CardBody, CardHeader, Col, Row } from '@sveltestrap/sveltestrap';

  const registrationLink = 'https://www.ncaecybergames.org';
</script>

<svelte:head>
  <title>NCAE Cyber Games Sandbox</title>
</svelte:head>

<div class="container jumbotron text-center pb-5">
  <h1 class="text-white">
    Welcome to the
    <br />
    NCAE Cyber Games Sandbox
  </h1>
  <h2 class="pt-5">Getting Started</h2>
  <p class="mx-5 pb-5 fs-5">
    Welcome to the Sandbox! The NCAE Cyber Games Sandbox allows registered users in the CAE community to launch
    challenges designed to prepare students for the NCAE Cyber Games national competition. To learn how to interact with
    our virtual training environments, start by reading the instructions below.
    <!-- or by watching the short video to the right. -->
  </p>

  <Row class="mx-5 g-2 justify-content-around pb-5">
    <!--Step 1 : Login to c2games account -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>1. Login to your c2games.org account</h5>
        </CardHeader>
        <CardBody class="mb-4">
          <p class="pb-1">
            Don't have an account yet?
            <a href={registrationLink}> Register Here </a>
          </p>
          <img class="login-img" src="assets/img/login.png" alt="login" />
        </CardBody>
      </Card>
    </Col>

    <!--Step 2 : Browse Challenges -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>2. Browse challenges & learn how to play!</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>This is an example of one of the challenge descriptions!</p>
          <img class="challenges-img" src="assets/img/challenges.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
  </Row>

  <Row class="mx-5 g-2 justify-content-around pb-5">
    <!--Step 3 : Deploy Challenge -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>3. Deploy Challenge</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>Select "Deploy Challenge". This may take a few moments.</p>
          <img class="deploy-img" src="assets/img/deploy.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
    <!--Step 4 : Start Environment -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>4. Start the Environment</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>Once deployed, click "Start Environment".</p>
          <img class="startenv-img" src="assets/img/startenv.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
  </Row>

  <Row class="mx-5 g-2 justify-content-around pb-5">
    <!--Step 5 : Launch Environment -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>5. Launch Environment</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>Once running, select "Launch Environment".</p>
          <img class="launch-img" src="assets/img/launch.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
    <!--Step 6 : Verify identity in proxmox -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>6. Verify Your Identity</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>Once launched, verify your identity again for security.</p>
          <img class="verify-img" src="assets/img/verify.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
  </Row>

  <Row class="mx-5 g-2 justify-content-around pb-5">
    <!--Step 7 : View VMs -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>7. View Your VMs</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>View your VMs by expanding the window in the upper left and clicking the dropdown next to sandbox1.</p>
          <img class="viewvm-img" src="assets/img/viewvm.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
    <!--Step 8 : View VM -->
    <Col xs="5">
      <Card class="h-100">
        <CardHeader>
          <h5>8. View your VM</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>Right-click on a VM and select "Console" to view your VM.</p>
          <img class="view-img" src="assets/img/view.png" alt="login" />
        </CardBody>
      </Card>
    </Col>
  </Row>

  <Row class="mx-5 g-2 justify-content-around pb-5">
    <!--Step 9 : Shutdown and Destroy VM -->
    <Col xs="11">
      <Card class="h-100">
        <CardHeader>
          <h5>9. Shutdown or Destroy VMs</h5>
        </CardHeader>
        <CardBody class="mb-3">
          <p>
            When finished, you can shutdown your VMs to resume your work later OR Destroy the VMs to clean everything
            up.
          </p>
          <p>You can always destroy and recreate your VMs to reset a challenge.</p>
          <img class="shutdown-img me-3" src="assets/img/shutdown.png" alt="login" />
          <img class="destroy-img" src="assets/img/destroy.png" alt="login" />
          <p class="mt-5">
            Finally, please shutdown or destroy your VMs if you are not currently using the Sandbox for resource
            efficiency.
          </p>
          <h3>Thank You!</h3>
        </CardBody>
      </Card>
    </Col>
  </Row>
</div>

<style>
  .login-img {
    width: 70%;
    border: 2px solid black;
  }
  .challenges-img,
  .deploy-img,
  .startenv-img,
  .launch-img,
  .verify-img,
  .viewvm-img,
  .view-img {
    width: 100%;
    border: 1px solid black;
  }

  .shutdown-img,
  .destroy-img {
    border: 1px solid black;
  }
</style>
